#if !defined(AFX_MORPHPLAYDLG_H__9488AF60_9EA9_45E9_AEEE_9B1EAE0A752C__INCLUDED_)
#define AFX_MORPHPLAYDLG_H__9488AF60_9EA9_45E9_AEEE_9B1EAE0A752C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MorphPlayDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMorphPlayDlg dialog

#include "IMG.h"
#include "IMGList.h"

class CMorphPlayDlg : public CDialog
{
// Construction
public:
	void DrawImage();
	void SetVariable(CIMGList *pList, int frame, int duration);
	CMorphPlayDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMorphPlayDlg)
	enum { IDD = IDD_MORPHPLAY };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMorphPlayDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CIMGList		*m_pList;
	IMGNODE			*m_pIMGNode;
	int				m_nCount;
	int				m_nWidth, m_nHeight;
	int				m_nFrame, m_nDuration;
	int				x, y;
	CDC				*m_pBackDC;
	// Generated message map functions
	//{{AFX_MSG(CMorphPlayDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnPlay();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnStart();
	afx_msg void OnEnd();
	afx_msg void OnPause();
	afx_msg void OnBackward();
	afx_msg void OnForeward();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MORPHPLAYDLG_H__9488AF60_9EA9_45E9_AEEE_9B1EAE0A752C__INCLUDED_)
